// --------------------------------------------------------------------------
//
// PanlMain.PAS/DFM                                     Ulrich Mller 18.1.00
//                                                      Procida 400NT Delphi4
// InterfacePanel auf Basis von FishFaD4.DCU/DFM und umFish.DLL
// FishFaD4 kann auch mit einer reinen KonsolAnwendung laufen,
// das InterfacePanel bentigt aber eine StartForm
//
// --------------------------------------------------------------------------

unit PanlMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TfrmMain = class(TForm)
    cmdAction: TButton;
    cmdEnde: TButton;
    Label1: TLabel;
    lblVersion: TLabel;
    procedure cmdActionClick(Sender: TObject);
    procedure cmdEndeClick(Sender: TObject);
  end;

var
  frmMain: TfrmMain;

implementation

uses FishFaD4;
{$R *.DFM}
var
  ft: TFishFace;

procedure TfrmMain.cmdActionClick(Sender: TObject);
var PortName: string;
begin
  ft := TFishFace.Create;

  if ParamCount = 0 then PortName := InputBox('PanlD4',
     'Bitte Portnamen eingeben : COM1-4 oder LPT1-3', 'COM1')
  else PortName := ParamStr(1);

  if ft.OpenInterface(PortName, Self) = ftiFehler then begin
    MessageDlg('Interface Problem', mtWarning, [mbOK], 0); exit; end;
  cmdEnde.Caption := 'ENDE';
  lblVersion.Caption := 'Version : ' + ft.Version;

  Self.Hide;
// ---- Warten auf Schlieen des InterfacePanels ----------------
  repeat Application.ProcessMessages until (NOT ft.PanelEnabled);
  Self.Show;

  ft.CloseInterface;
  ft.Free;
end;

procedure TfrmMain.cmdEndeClick(Sender: TObject);
begin
  Self.Close;
end;

end.
