// ---------------------------------------------------------------------------
//
// easyRun(easyHand1.PAS)                                Ulrich Mller 5.12.01
//                                                       Procida 400NT Delphi4
// Unit zur Erstellung eigener Delphi4-Programme zum Betrieb von ft-Modellen
// auf Basis von umFishEx, umFish.DLL und easyMain
// die weiteren Units mssen nicht modifiziert werden.
// es stehen die normalen Delphi4 Sprachmittel und Funktionen aus
// umFishEx und easyMain zur Verfgung.
//
//  ---- Computing Starter : Hndetrockner 1 ----
//
// ---------------------------------------------------------------------------

unit easyRun;
interface
const            // --- Konstanten zum Ansprechen der InterfaceGerte ---
  mVentilator = 1; mLampe = 2; mM3 = 3; mM4 = 4;
  eLichtschranke = 1; eE2 = 2; eE3 = 3; eE4 = 4; eE5 = 5; eE6 = 6; eE7 = 7; eE8 = 8;
  aEX = 0; aEY = 1;
  wAnlaufzeit = 1; wTrockenzeit = 2;
const            // --- Beschriftung des InterfacePanels ------
  clblTitel = 'Hndetrockner 1';
  clblE: array[1..8] of string = ('Lichtschranke', 'E2', 'E3', 'E4',
                                   'E5', 'E6', 'E7', 'E8');
  clblM: array[1..4] of string = ('Ventilator', 'Lichtschranke', 'M3', 'M4');
  clblA: array[1..2] of string = ('EX', 'EY');
  clblW: array[1..2] of string = ('Anlaufzeit', 'Trockenzeit');
  ctxtW: array[1..2] of string = ('1000', '5000');

//  ---------------- bei Bedarf an das Programm anpassen ------

procedure fishMain();
implementation
uses Windows, Messages, SysUtils, Forms, Dialogs,
     easyMain, umFishEx;


var             // --- Variable der Anwendung ---------------------------
  res: Cardinal;

procedure fishMain;  // --- HauptProcedure, Name ist fest
                     //     Aufruf ber START-Button
                     //     Es knnen beliebige weitere procedure und
                     //     function erstellt werden.
begin
  ftiSetMotor(mLampe, ftiEin);
  ftiWaitForTime(Werte(wAnlaufzeit));
  repeat             // --- Endlosschleife, Ende : HALT-Button
    if not ftiGetInput(eLichtschranke) then begin
      ftiSetMotor(mVentilator, ftiEin);
      printStatus('trocknet');
      ftiWaitForTime(Werte(wTrockenzeit));
      ftiSetMotor(mVentilator, ftiAus);
      end;
    printStatus('bereit');
  until ftiFinish(0);
end;

end.
